#!/bin/sh

. ../scripts/flags.sh
BUILDFLAGS="$CFLAGS -Iinclude"
LINTCHECKS="-checks=-*,clang-analyzer-*,bugprone-*,portability-*,cert-*"
SOURCE="src/*.c"

function build() {
	cc $SOURCE -o "lib/libXmd.so" -shared $BUILDFLAGS || \
	echo "XXX FAIL!"
}

function lint() {
	clang-tidy $SOURCE $LINTCHECKS -- $BUILDFLAGS || \
	echo "XXX FAIL!"
}

function clean() {
	rm -f lib/*
}

case "$1" in
install)
	clean; build
	cp lib/*.so "$PREFIX/lib"
	cp include/Xmd/*.h "$PREFIX/include/Xmd"
	clean
	;;
clean)
	clean
	;;
lint)
	lint
	;;
*)
	build
esac
